ALTER TABLE MAINTENANCE_TASK
ADD ALL_DAY VARCHAR2(1 CHAR);

DROP VIEW V_MAINTENANCE_TASK;

CREATE OR REPLACE VIEW V_MAINTENANCE_TASK AS (
SELECT M.ID_MAINTENANCE_TASK, M.ID_TYPE, M.ID_STATUS, M.ID_ASSET, M.ID_DN, M.ID_CHECKLIST, M.ID_QUESTION_ANSWER_CHECKLIST, M.NNLOCATION_ID, M.DATE_FROM, M.DATE_TO, M."COMMENT", M.ID_STORITVE,
M.DATE_COMPLETED, M.USER_COMPLETED,
MT.DESCRIPTION AS TYPE_DESCRIPTION, MT.TYPE AS MAIN_TYPE_CODE, MS.DESCRIPTION AS STATUS_DESCRIPTION, MS.COLOR AS STATUS_COLOR, MS.TEXT_COLOR AS STATUS_TEXT_COLOR, 
A.NAME AS ASSET_NAME, A.MANAGER AS ASSET_MANAGER, A.LIFT_CODE AS ASSET_LIFT_CODE, C.NAME AS CHECKLIST_NAME, C.MANAGER AS CHECKLIST_MANAGER, ND.OPIS AS ASSET_LIFT_DESCRIPTION
FROM MAINTENANCE_TASK M
LEFT OUTER JOIN MAINTENANCE_TYPE MT ON MT.ID_MAINTENANCE_TYPE = M.ID_TYPE
LEFT OUTER JOIN MAINTENANCE_STATUS MS ON MS.ID_MAINTENANCE_STATUS = M.ID_STATUS
LEFT OUTER JOIN ASSET A ON A.ID_ASSET = M.ID_ASSET
LEFT OUTER JOIN CHECKLIST C ON C.ID_CHECKLIST = M.ID_CHECKLIST
LEFT OUTER JOIN NNDVIGAL ND ON ND.SIFRA = A.LIFT_CODE
);

ALTER TABLE QUESTIONNAIRE_ANSWER
ADD DATE_CREATED DATE;

ALTER TABLE QUESTIONNAIRE_ANSWER
ADD USER_CREATED VARCHAR2(20 CHAR);

ALTER TABLE QUESTIONNAIRE_ANSWER
ADD DATE_CHANGED DATE;

ALTER TABLE QUESTIONNAIRE_ANSWER
ADD USER_CHANGED VARCHAR2(20 CHAR);

ALTER TABLE QUESTIONNAIRE
ADD VIEW_HEIGHT NUMBER;

ALTER TABLE QUESTIONNAIRE
ADD USER_LOG VARCHAR2(1 CHAR);

UPDATE QUESTIONNAIRE
SET USER_LOG = 'Y'
WHERE TYPE = 8
AND USER_LOG IS NULL;

CREATE OR REPLACE VIEW V_SECTION_QUESTION AS (
	SELECT SQ.ID, SQ.ID_SECTION, SQ.ID_QUESTION, SQ.ID_QUESTIONNAIRE, SQ.SORT, SQ.INPUT_REQUIRED, SQ.VISIBLE, SQ.REDIRECT_URL, QS.SORT AS SECTION_SORT, Q.NAME AS QUESTIONNAIRE_NAME, Q.TYPE AS QUESTIONNAIRE_TYPE, 
  Q.USER_LOG AS QUESTIONNAIRE_USER_LOG, 
  SC.NAME AS SECTION_NAME, QU.NAME AS QUESTION_NAME, QU.QUESTION AS QUESTION_QUESTION, QU.TYPE AS QUESTION_TYPE, QU.SOURCE_TABLE_NAME AS QUESTION_SOURCE_TABLE_NAME, QU.CONVERSION_TYPE AS QUESTION_CONVERSION_TYPE,
  QU.STRING_VALUE AS QUESTION_STRING_VALUE, QU.NUMBER_VALUE AS QUESTION_NUMBER_VALUE, QU.DATE_VALUE AS QUESTION_DATE_VALUE, QU.TAG_ID AS QUESTION_TAG_ID, QU.BUTTON_ACTION_TYPE AS QUESTION_BUTTON_ACTION_TYPE
	FROM SECTION_QUESTION SQ
  LEFT OUTER JOIN QUESTIONNAIRE Q ON Q.ID = SQ.ID_QUESTIONNAIRE
  LEFT OUTER JOIN SECTION SC ON SC.ID = SQ.ID_SECTION
  LEFT OUTER JOIN QUESTION QU ON QU.ID = SQ.ID_QUESTION
  LEFT OUTER JOIN QUESTIONNAIRE_SECTION QS ON QS.ID_QUESTIONNAIRE = Q.ID AND QS.ID_SECTION = SC.ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1513, SYSDATE, '5.5', 1433, 'Maintenance')
;