ALTER TABLE VOUCHER
ADD MAIN_DATE DATE;

ALTER TABLE VOUCHER
ADD WRITE_OFF_DATE DATE;

ALTER TABLE KNJIZBE
ADD ID_VOUCHER NUMBER;

CREATE INDEX IX_KNJIZBE_ID_VOUCHER ON KNJIZBE (ID_VOUCHER);

DROP VIEW V_VOUCHER;

CREATE OR REPLACE VIEW V_VOUCHER AS (
  SELECT V.ID_VOUCHER, V.ID_TYPE, V.ID_LASTNIKA, V.UNIQUE_NUMBER, V.DATE_CREATED, V.MAIN_DATE, V.EXPIRY_DATE, V.WRITE_OFF_DATE, V.AMOUNT, V.NNLOCATION_ID, V.NOTE, V.ACTIVE, VT.DESCRIPTION AS TYPE_DESCRIPTION, VT.TYPE AS TYPE_TYPE,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER,
  COALESCE(VM.USED_AMOUNT,0) AS USED_AMOUNT, V.AMOUNT - COALESCE(VM.USED_AMOUNT,0) AS OPEN_AMOUNT, (CASE WHEN VM.USED_AMOUNT = V.AMOUNT THEN 'Y' ELSE 'N' END) AS CLOSED,
  (CASE WHEN (SELECT COUNT(K.CTRL) FROM KNJIZBE K WHERE K.ID_VOUCHER = V.ID_VOUCHER) > 0 THEN 'Y' ELSE 'N' END) AS BOOKKEEPING_EXECUTED
  FROM VOUCHER V
  LEFT OUTER JOIN VOUCHER_TYPE VT ON VT.ID_VOUCHER_TYPE = V.ID_TYPE
  LEFT OUTER JOIN KUPCI K ON K.ID = V.ID_LASTNIKA
  LEFT OUTER JOIN V_VOUCHER_MONEY VM ON VM.ID_VOUCHER = V.ID_VOUCHER
);

DROP VIEW V_MONEY;

CREATE OR REPLACE VIEW V_MONEY AS (
  SELECT M.ID_MONEY, M.ID_MENJAVE, M.ID_TIP_TRANS, M.ID_CARDS, M.ZNESEK, M.ZNESEK_SIT, M.STANJE, M.STANJE_VAL, M.NVALUTA, M.TECAJ, M.PAYMENT_RESPONSE_ID, M.ID_KUPCI_CC, M.VRSTA_BL, M.ID_VOUCHER,
  E.DATUM AS EXCHANGE_DATUM, E.CAS AS EXCHANGE_CAS, E.N_BLAGAJNE AS EXCHANGE_N_BLAGAJNE, E.N_IZMENE AS EXCHANGE_N_IZMENE, E.N_TABAKA AS EXCHANGE_N_TABAKA, E.N_OBRACUNA_KARTIC AS EXCHANGE_N_OBRACUNA_KARTIC,
  E.KOMENTAR AS EXCHANGE_KOMENTAR, E.NNLOCATION_ID AS EXCHANGE_NNLOCATION_ID, E.STORNO AS EXCHANGE_STORNO, E.USER_KREIRANJA AS EXCHANGE_USER, 
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (E.IME || ' ' || E.PRIIMEK) ELSE (E.PRIIMEK || ' ' || E.IME) END) AS EXCHANGE_OWNER,
  NC.VRSTA_DENARJA AS NNCARDS_VRSTA_DENARJA, NC.OPIS AS NNCARDS_OPIS, NC.INTERNI_OPIS AS NNCARDS_INTERNI_OPIS, S.ID_SALDKONT, S.N_RACUNA AS SALDKONT_N_RACUNA, S.VRSTA_RACUNA AS SALDKONT_VRSTA_RACUNA, S.STORNO AS SALDKONT_STORNO, 
  S.ID_KUPCA AS SALDKONT_ID_KUPCA, NK.SLO AS NKNJIZBA_OPIS, KCC.TEMPORARY AS CREDIT_CARD_TEMPORARY, KCC.ID_CREDIT_CARD_TOKEN AS CREDIT_CARD_TOKEN_ID, 
  TT.OPIS AS TIPI_TRANS_OPIS, TT.INTERNI_OPIS AS TIPI_TRANS_INTERNI_OPIS, NT.OPIS AS NTIPITRANS_OPIS, NT.INTERNI_OPIS AS NTIPITRANS_INTERNI_OPIS
  FROM MONEY M
  LEFT OUTER JOIN NNCARDS NC ON NC.ID_CARDS = M.ID_CARDS 
  LEFT OUTER JOIN EXCHANGE E ON E.ID = M.ID_MENJAVE 
  LEFT OUTER JOIN SALDKONT S ON S.ID_SALDKONT = E.ID_SALDKONT
  LEFT OUTER JOIN NKNJIZBA NK ON NK.SALDKONT = S.VRSTA_RACUNA
  LEFT OUTER JOIN KUPCI_CREDIT_CARDS KCC ON KCC.ID_KUPCI_CC = M.ID_KUPCI_CC
  LEFT OUTER JOIN TIPI_TRANS TT ON TT.ID_TIP_TRANS = M.ID_TIP_TRANS
  LEFT OUTER JOIN NTIPITRANS NT ON NT.IDTRANSDET = E.IDTRANSDET
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1699, SYSDATE, '5.5', 1619, 'Vouchers and money')
;